#pragma once
#include "../base/interface.hpp"

namespace lsp::provider::window
{
    class ShowMessageRequest : public IRequestProvider
    {
    public:
        ShowMessageRequest() = default;

        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        std::string ProvideResponse(const protocol::RequestMessage& request, ExecutionContext& context) override;
    };
}
